PROGRAM_NAME='BSSBlu50'
#include 'SNAPI';
#include 'G4API';


(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_VARIABLE

    volatile integer nDspLvl;
    
    
(***********************************************************)
(*                  THE EVENTS GO BELOW                    *)
(***********************************************************)
DEFINE_EVENT

data_event[vdvBSS_BLU_1]
{
    online:
    {
	send_command data.device,"'PROPERTY-IP_Address,',IP_ADDRESS_DSP";
	send_command data.device,"'PROPERTY-DEVICE_ID,',DEVICE_ID_DSP"
	send_command data.device,"'REINIT'";
    }
}

button_event[dvTP_1_DSP, BTN_VOL_UP]
button_event[dvTP_1_DSP, BTN_VOL_DN]
button_event[dvTP_1_DSP, BTN_VOL_MUTE]
{
    push:
    {
	to[button.input];
	to[vdvBSS_BLU_3, button.input.channel];	// Adjust Mic Input Gain
    }
    release:
    {
	[dvTP_1_DSP, BTN_VOL_MUTE] = [vdvBSS_BLU_3, VOL_MUTE_FB];
    }
}

level_event[vdvBSS_BLU_3, VOL_LVL]
{
    nDspLvl = level.value;
    send_level dvTP_1_DSP, VOL_LVL, nDspLvl;
}

channel_event[vdvBSS_BLU_3, VOL_MUTE_FB]
{
    on:
    {
	[dvTP_1_DSP, BTN_VOL_MUTE] = [vdvBSS_BLU_3, VOL_MUTE_FB];
    }
    off:
    {
	[dvTP_1_DSP, BTN_VOL_MUTE] = [vdvBSS_BLU_3, VOL_MUTE_FB];
    }
}

data_event[dvTP_1_DSP]
{
    online:
    {
	[dvTP_1_DSP, BTN_VOL_MUTE] = [vdvBSS_BLU_3, VOL_MUTE_FB];
	send_level dvTP_1_DSP, VOL_LVL, nDspLvl;
    }
}